
Summary: Distributed SSL session cache
Name: distcache
Version: 0.4.2
Release: 3
License: LGPL
Group: System Environment/Daemons
URL: http://www.distcache.org/
Source0: %{name}-%{version}.tar.bz2
Source1: dc_server.init
Source2: dc_client.init
Patch0: distcache-0.4.2-setuid.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: /sbin/chkconfig

%description
The distcache package provides a variety of functionality for
enabling a network-based session caching system, primarily for
(though not restricted to) SSL/TLS session caching.

%package devel
Group: Development/Libraries
Summary: Development tools for distcache distributed session cache
Requires: distcache = %{version}

%description devel
This package includes the libraries that implement the necessary
network functionality, the session caching protocol, and APIs for
applications wishing to use a distributed session cache, or indeed
even implement a storage mechanism for a session cache server.

%prep
%setup -q
%patch0 -p1 -b .setuid

%build
autoreconf --install --force
%configure CFLAGS="-fPIC $RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 $RPM_SOURCE_DIR/dc_server.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_server
install -m 755 $RPM_SOURCE_DIR/dc_client.init \
        $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dc_client

mkdir -p $RPM_BUILD_ROOT%{_sbindir}

%post
/sbin/chkconfig --add dc_server
/sbin/chkconfig --add dc_client

%preun
if [ $1 = 0 ]; then
	/sbin/service dc_server stop > /dev/null 2>&1
	/sbin/service dc_client stop > /dev/null 2>&1
	/sbin/chkconfig --del dc_server dc_client
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/dc_*
%{_sysconfdir}/init.d/dc_*
%doc ANNOUNCE CHANGES README LICENSE FAQ
%{_mandir}/man1/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/distcache
%{_includedir}/libnal
%{_libdir}/*.a
%{_mandir}/man2/*

%changelog
* Thu Jul 31 2003 Joe Orton <jorton@redhat.com> 0.4.2-3
- add dc_client init script
- pass -sessions to dc_server

* Wed Jul  2 2003 Joe Orton <jorton@redhat.com> 0.4.2-2
- have dc_server drop to 'nobody' user after bind()
- add init script for dc_server
- build everything using -fPIC

* Mon Jun  9 2003 Joe Orton <jorton@redhat.com> 0.4.2-1
- Initial build.

